#pragma once

#include "BSplineApprTest.h"
// CDlgApprParams dialog

class CDlgApprParams : public CDialog
{
	DECLARE_DYNAMIC(CDlgApprParams)

public:
	CBSplineApprTest::Params m_Params;

	CDlgApprParams(CWnd* pParent , CBSplineApprTest::Params params);   // standard constructor
	virtual ~CDlgApprParams();

	void SetTitle (const char* szTitle)
	{
		m_sTitle = szTitle;
	}

	void SetOkText (const char* szOk) {m_strOkText = szOk;}
	void SetCancelText (const char* szCancel) {m_strCancelText = szCancel;}

// Dialog Data
	enum { IDD = IDD_APPR_PARAMS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()

	std::string m_sTitle, m_strOkText, m_strCancelText;
public:
	virtual BOOL OnInitDialog();
};
